Subject: Re: [nfsv4] [Gen-art] Genart last call review of draft-ietf-nfsv4-flex-files-15

From: Alissa Cooper <[email-masked]>
Date: Wed, 24 Jan 2018 10:35:18 -0500

Christer, thanks for your review. Authors, thanks for your responses. I have entered a No Objection ballot.

Alissa

> On Dec 21, 2017, at 5:25 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Reviewer: Christer Holmberg
> Review result: Almost Ready
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-nfsv4-flex-files-15
> Reviewer: Christer Holmberg
> Review Date: 2017-12-21
> IETF LC End Date: 2018-01-16
> IESG Telechat date: 2018-01-25
> 
> Summary: The document is well written, and almost ready for publication.
> However, I think some additional text is needed, as described below.
> 
> Major issues: None.
> 
> Minor issues: None:
> 
> Nits/editorial comments:
> 
> Q1:
> 
> The Abstract says:
> 
>   "The flexible file layout type is defined in this
>   document as an extension to pNFS which allows the use of storage
>   devices in a fashion such that they require only a quite limited
>   degree of interaction with the metadata server, using already
>   existing protocols."
> 
> …and the Introduction says:
> 
>   "There are different layout types for different storage
>   systems and methods of arranging data on storage devices.  This
>   document defines the flexible file layout type used with file-based
>   data servers that are accessed using the Network File System (NFS)
>   protocols: NFSv3 [RFC1813], NFSv4.0 [RFC7530], NFSv4.1 [RFC5661], and
>   NFSv4.2 [RFC7862].”
> 
> But, there is no text about the existing file layout type, and how this file
> layout types will improve things. The Abstract mentions impacts on the
> interactions with the metadata server, but there is no text about that in the
> Introduction. I think a few sentences in the Introduction, describing the
> high-level advantages and changes that the flexible file layout type brings,
> would be good.
> 
> Also, the Abstract mentions client mirroring, but there is nothing about that
> in the Introduction.
> 
> Q2:
> 
> Is section 2 specific to the flexible file layout type, or is it about pNFS in
> general? I think it would good to have a sentence describing the scope of the
> section.
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art